import { Component, OnInit } from '@angular/core';
import {GcPdfViewer} from '@grapecity/gcpdfviewer';

@Component({
  selector: 'app-gc-viewer',
  templateUrl: './gc-viewer.component.html',
  styleUrls: ['./gc-viewer.component.css']
})
export class GcViewerComponent implements OnInit {
  public viewer?:GcPdfViewer;
  constructor() { 
    
  }
  saveChanges() { 

    console.log('in saveChanges');    
    this.viewer?.saveChanges().then((result)=> { 
      if (result) { 
        // Load saved document from server 
        var docUrl ="http://localhost:14888/api/pdf-viewer/get-sample-pdf";
        this.viewer?.open(docUrl).then(()=> { 
          console.log('in viewer.open');    
          alert('The document is saved in the cloud. The service life of the document is 10 minutes.'); 
        }); 
    
      } 
    }); 
    console.log('out saveChanges()'); 
  }

  ngOnInit(): void {
  }
  ngAfterViewInit(){
    this.viewer = new GcPdfViewer("#viewer", {
      workerSrc: "./node_modules/@grapecity/gcpdfviewer/gcpdfviewer.worker.js",
      restoreViewStateOnLoad: false,
      supportApi: {
        apiUrl: 'http://localhost:14888/api/pdf-viewer',
        token: 'support-api-demo-net-core-token',
        reconnectInterval: 1000
    },
      
    });
    this.viewer.addDefaultPanels();
    this.viewer.open("./assets/helloworld.pdf");
  }

}
